function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==30 then
		setcurentleaf("robert_room",5,0);
		DarkScreen(false);
		--Emitters(true);
		if flags.minicomplete then
		StopEmiter("Photo")
			speciale_action(2,106,true); 
			setcolor(106,0,0,0,1,1);
			Set_Cursor(19,3);
		Set_Cursor(17,3);
		Set_Cursor(18,3);
		savegame(SaveLevel())
		return;end;
	return; end;
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
	   clear_satelite_leaf("robert_room");
	   return;end;
	return;end;
	if sender==10 then
		flags.minicomplete=true;
		playeffect("miniC");
		StartTimer(2100,2);
		BlockCursor(true);
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;		
	BlockCursor(false);
	if id==1001 then
		flags.minicomplete=true;
		BlockCursor(false)
		finish_mini_game(true);
	return;end;		
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"1",100,"messageinfo") 
		return;end;	
	
		if id==1000 then
			playeffect("close");
		   clear_satelite_leaf("robert_room");
		   finish_mini_game(false);
		   DeleteResource("m1_btn")
		   DeleteResource("m1_bigbird")
		   DeleteResource("m1_bird")
		   DeleteResource("m1_bg")		   
		return;end;
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete then
				BlockCursor(true)
				speciale_action(2,1001,true,2)
			return;end;		
		return;end;				
		if id==1002 then
			speciale_action(2,1001,true,2)
		return;end;		
	return;end;	
end;
function mini_delete ()

end;